Rails.application.routes.draw do
  
  namespace :panel do
    namespace :personal_diploma do
      namespace :desktop do
        match "diploma_window" => "personal_diplomas#diploma_window"
        resources :personal_diplomas
        resources :plugin_intros
      end
      namespace :back_end do
	  
        match 'diploma_setting' => "diplomas#diploma_setting" ,:as => :diploma_setting
		  		
        resources :diplomas do
          collection do
            get 'delete'
            get 'data_share'
          end
        end
		
        resources :personal_diploma_intros
        resources :tags
      end
      namespace :front_end do
        resources :diplomas
      end
      namespace :plugin do
        resources :diplomas
      end
      namespace :widget do
        match "diplomas" => "diplomas#index"
        match "home_list" => "diplomas#home_list"
        match "reload_diplomas" => "diplomas#reload_diplomas"
      end
    end
  end
 match "/appfront/*path" => redirect("/panel/*path")
 
end
